Skip to content

Create Video

POST https://www.kkiai.com/v1/video/create

Request Parameters

Authorization

Add the Authorization parameter to the Header. Its value is the Token concatenated after Bearer.

Example: Authorization: Bearer ********************

Header Parameters

ParameterTypeRequiredDescriptionExample
Content-TypestringRequiredapplication/json
AcceptstringRequiredapplication/json
AuthorizationstringOptionalBearer {{YOUR_API_KEY}}

Body Parameters (application/json)

ParameterTypeRequiredDescription
enable_upsamplebooleanOptional
enhance_promptbooleanOptionalSince veo only supports English prompts, you can enable this switch to automatically convert Chinese prompts to English prompts
imagesarray[string]OptionalFor veo2-fast-frames model, supports up to two images (first and last frames). For veo3-pro-frames model, supports up to one image (first frame). For veo2-fast-components model, supports up to 3 images (images are elements in the video)
modelenum<string>Required
promptstringRequired
aspect_ratiostringOptional⚠️ Only supported by veo3, "16:9" or "9:16"

Request Example

json
{
    "enable_upsample": true,
    "enhance_prompt": true,
    "images": [
        "https://filesystem.site/cdn/20250702/w8AauvxxPhYoqqkFWdMippJpb9zBxN.png"
    ],
    "model": "veo3.1-fast",
    "prompt": "make animate",
    "aspect_ratio": "16:9"
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/v1/video/create' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "enable_upsample": true,
    "enhance_prompt": true,
    "images": [
        "https://filesystem.site/cdn/20250702/w8AauvxxPhYoqqkFWdMippJpb9zBxN.png"
    ],
    "model": "veo3.1-fast",
    "prompt": "make animate",
    "aspect_ratio": "16:9"
}'

Response

🟢 200 Success

Response Body

ParameterTypeRequiredDescription
idstringRequired
statusstringRequired
status_update_timeintegerRequired
enhanced_promptstringRequired

Response Example

json
{
    "id": "veo3-fast-frames:1757555257-PORrVn9sa9",
    "status": "pending",
    "status_update_time": 1757555257582
}